#!/bin/sh
#
# Transform the entire site into something suitable for a web server.

set -e # Exit on first error.

cd "$(dirname "$0")/.."

mkdir web-serve-new

for file in $(cd site; find -type f); do
    file="$(echo $file | sed -r 's/^\.\/?//')"
    dir="$(dirname $file)"
    outdir="web-serve-new/$dir"
    mkdir -p "$outdir"
    ./scripts/transform-file.py "site/$file" "$outdir"
done

mv web-serve web-serve-old
mv web-serve-new web-serve
rm -rf web-serve-old
